Package de.willuhn.jameica.hbci.messaging

# Class ObjectMessage

java.lang.Object
de.willuhn.jameica.hbci.messaging.ObjectMessage

All Implemented Interfaces:
  `de.willuhn.jameica.messaging.Message`

Direct Known Subclasses:
  `ImportMessage`, `ObjectChangedMessage`, `ObjectDeletedMessage`, `SaldoMessage`

public class ObjectMessage extends Object implements de.willuhn.jameica.messaging.Message
Nachricht, die ein Fachobjekt betrifft.

## Constructor Summary

Constructors
Constructor
Description
`ObjectMessage(de.willuhn.datasource.GenericObject object)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.datasource.GenericObject`
`getObject()`
Liefert das betreffende Objekt.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectMessage

public ObjectMessage(de.willuhn.datasource.GenericObject object)
ct.

Parameters:
  `object` - das Objekt.

## Method Details

### getObject

public de.willuhn.datasource.GenericObject getObject()
Liefert das betreffende Objekt.

Returns:
  das Objekt.